%if 0%{?el7}
%define dist .el7
%endif
%define debug_package %{nil}

#define rev .rev9655
#define hash 043c2418864b

Summary:	Library for encoding and decoding H.265/MPEG-H HEVC video streams
Name:		x265
Version:	3.2.1
Release:	1%{?dist}
License:	GPL
Group:		System Environment/Libraries
#URL:		http://www.videolan.org/developers/x265.html
URL:        http://x265.org/

Packager:	momo-i <webmaster@momo-i.org>
Vendor:		momo-i, http://www.momo-i.org/

## hg clone http://hg.videolan.org/x265
## tar acvf x265-0.0.0.tar.xz x265 --exclude=.hg
#Source:     %%{name}-%%{version}.tar.xz
Source0:    http://downloads.videolan.org/pub/videolan/x265/%{name}_%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	gettext
BuildRequires:	nasm yasm
BuildRequires:  cmake >= 2.8.8
BuildRequires:  python-sphinx
Buildrequires:  gcc gcc-c++

%description
Utility and library for encoding H.265/MPEG-H HEVC video streams.

%package -n libx265-devel
Summary: Development files for the x265 library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}, pkgconfig

%description -n libx265-devel
This package contains the files required to develop programs that will encode
H.265/MPEG-H HEVC video streams using the x265 library.

%package -n libx265-static
Summary: Development files for the x265 static library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}, pkgconfig

%description -n libx265-static
This package contains the files required to develop programs that will encode
H.265/MPEG-H HEVC video streams using the x265 library.

%prep
%setup -q -n %{name}_%{version}

%build
pushd source

cmake . -DCMAKE_INSTALL_PREFIX=%{_prefix} -DLIB_INSTALL_DIR=%{_lib}
%{__make} %{?_smp_mflags}

popd

%if 0%{?fedora} || 0%{?rhel} >= 7
# make man
pushd doc/reST
make man
popd
%endif

%install
%{__rm} -rf %{buildroot}
pushd source
%{__make} install DESTDIR="%{buildroot}"

popd

%if 0%{?fedora} || 0%{?rhel} >= 7
# install man
pushd doc/reST/build/man
%{__mkdir} -p %{buildroot}%{_mandir}/man{1,3}
%{__install} -m644 -D x265.1 %{buildroot}%{_mandir}/man1/x265.1
%{__install} -m644 -D libx265.3 %{buildroot}%{_mandir}/man3/libx265.3
%endif

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc doc/intra/* doc/uncrustify/*
%if 0%{?el6}
%doc doc/reST/*.rst
%endif
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/x265
%{_libdir}/libx265.so.*
%if 0%{?fedora} || 0%{?rhel} >= 7
%{_mandir}/man1/x265.1*
%endif

%files -n libx265-devel
%defattr(-, root, root, 0755)
%{_includedir}/x265.h
%{_includedir}/x265_config.h
%{_libdir}/pkgconfig/x265.pc
%{_libdir}/libx265.so
%if 0%{?fedora} || 0%{?rhel} >= 7
%{_mandir}/man3/libx265.3*
%endif

%files -n libx265-static
%{_libdir}/libx265.a

%changelog
* Mon Jan 13 2020 momo-i <webmaster@momo-i.org> - 3.2.1-1
- Update to 3.2.1

* Wed Mar 06 2019 momo-i <webmaster@momo-i.org> - 3.0-1
- Update to 3.0

* Sun Nov 25 2018 momo-i <webmaster@momo-i.org> - 2.9-1
- Upadte to 2.9

* Thu Jul 12 2018 momo-i <webmaster@momo-i.org> - 2.8-1
- Update to 2.8

* Mon Oct 02 2017 momo-i <webmaster@momo-i.org> - 2.5-1
- Update to 2.5

* Fri May 12 2017 momo-i <webmaster@momo-i.org> - 2.4-1
- Update to 2.4

* Sun Mar 05 2017 momo-i <webmaster@momo-i.org> - 2.3-1
- Update to 2.3

* Mon Jan 23 2017 momo-i <webmaster@momo-i.org> - 2.2-1
- Update to 2.2

* Wed Nov 09 2016 momo-i <webmaster@momo-i.org> - 2.1-1
- Update to 2.1

* Sat Sep 10 2016 momo-i <webmaster@momo-i.org> - 2.0-1
- Update to 2.0

* Wed Feb 10 2016 momo-i <webmaster@momo-i.org> - 1.9-1
- Update to 1.9

* Tue Oct 13 2015 momo-i <webmaster@momo-i.org> - 1.8-1
- Update to 1.8
- Add manpage for fedora and rhel7

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.7-3
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.7-2
- Rebuilt for fc23

* Fri Jun  5 2015 momo-i <webmaster@momo-i.org> - 1.7-1
- Update to 1.7

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 1.6-1
- Release 1.6

* Wed Dec 17 2014 momo-i <webmaster@momo-i.org> - 0.0.0-5
- Update rev 8986

* Thu Nov 13 2014 momo-i <webmaster@momo-i.org> - 0.0.0-4
- Update rev 8833

* Mon Sep 22 2014 momo-i <webmaster@momo-i.org> - 0.0.0-3
- Update rev 8098

* Wed Jun 18 2014 momo-i <webmaster@momo-i.org> - 0.0.0-2
- Update rev 7088

* Mon Mar 24 2014 momo-i <webmaster@momo-i.org> - 0.0.0-1
- Initial rpm release.
